//
//   JavaScript für eine Stoppuhr
//
//   © 2019 Martin Ambauen, sqrt.ch
//
var beginn = null,
    zeitStopp = null,
    dauerStopp = 0,
    starten = null;

function start() {
    if (beginn === null) {
        beginn = new Date();
    }

    if (zeitStopp !== null) {
        dauerStopp += (new Date() - zeitStopp);
    }
    console.log(dauerStopp);

    starten = setInterval(zeitMessen, 10);
    startknopf.disabled = true;
    stoppknopf.disabled = false;
}

function stopp() {
    zeitStopp = new Date();
    clearInterval(starten);
    startknopf.disabled = false;
    stoppknopf.disabled = true;
    document.getElementById("logzeit").innerText += document.getElementById("display").innerText + "\n";
}

function stoppoff() {
    stoppknopf.disabled = true;
}

function reset() {
    clearInterval(starten);
    dauerStopp = 0;
    beginn = null;
    zeitStopp = null;
    document.getElementById("display").innerHTML = "00:00:00.000";
    document.getElementById("logzeit").innerText += new Date() + "\n";
    startknopf.disabled = false;
    stoppknopf.disabled = true;
}

function zeitMessen() {
    var aktuelleZeit = new Date(),
        gelaufeneZeit = new Date(aktuelleZeit - beginn - dauerStopp),
        hour = gelaufeneZeit.getUTCHours(),
        min = gelaufeneZeit.getUTCMinutes(),
        sec = gelaufeneZeit.getUTCSeconds(),
        ms = gelaufeneZeit.getUTCMilliseconds();

    document.getElementById("display").innerHTML =
        (hour > 9 ? hour : "0" + hour) + ":" +
        (min > 9 ? min : "0" + min) + ":" +
        (sec > 9 ? sec : "0" + sec) + "." +
        (ms > 99 ? ms : ms > 9 ? "0" + ms : "00" + ms);
}

window.onload = stoppoff;
